Subject: Re: bug#42160: closed (Re: bug#42160: Issue with Man-kill and background process.)

From: Ergus <[email-masked]>
Date: Sat, 25 Jul 2020 11:16:27 +0000 (UTC)

Hi Eli:
 Sorry for not replying your messages on time. I just checked that all your previous messages went to the Spam folder... (except the closing bug report one) I just fixed that. 

Your patch seems to fix the issue successfully. 

Very thanks
Best

-----Original Message-----
From: GNU bug Tracking System <[email-masked]>
To: Ergus <[email-masked]>
Sent: Sat, Jul 25, 2020 9:17 am
Subject: bug#42160: closed (Re: bug#42160: Issue with Man-kill and background process.)

Your bug report

#42160: Issue with Man-kill and background process.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42160: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42160
GNU Bug Tracking System
Contact [email-masked] with problems> Date: Sat, 18 Jul 2020 10:46:07 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> Ping! Ping!
> 
> Jimmy, could you please try this patch and see if it fixes your
> problems?  If it does, I' d like to install it.

No comments, so I installed the changes, and I'm closing this bug
report.

When using man with big manuals (like gcc). There is an error when
trying to quit with k just after opening the manual.
This seems to be related with the formating process that is running in
the background.

To reproduce the issue:

emacs -Q
M-x toggle-debug-on-error RET
M-x man RET
gcc RET
k

And I get this error message:

Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  Man-bgproc-filter(#<process man> "nt, there is no need to use address spaces like \"_...")

In GNU Emacs 28.0.50 (build 8, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw scroll bars)
 of 2020-06-30 built on ergus
Repository revision: 519e64f98140b984e10a9567017c7e5c4a81ff89
Repository branch: master
System Description: Debian GNU/Linux 10 (buster)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Debug on Error enabled globally
Invoking man gcc in the background
next-line: End of buffer [4 times]
Entering debugger...

Configured using:
 'configure --prefix=/home/ergus/.local/ --with-mailutils'

Configured features:
XPM JPEG TIFF GIF PNG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS
LUCID X11 XDBE XIM MODULES THREADS PDUMPER GMP

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec password-cache epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search time-date subr-x seq mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
cl-print debug backtrace help-mode find-func cl-seq imenu man easymenu
cl-loaddefs cl-lib ansi-color cus-start cus-load term/tmux term/xterm
xterm byte-opt gv bytecomp byte-compile cconv tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo x-toolkit x multi-tty make-network-process
emacs)

Memory information:
((conses 16 62396 7811)
 (symbols 48 7549 1)
 (strings 32 19068 1764)
 (string-bytes 1 597034)
 (vectors 16 8450)
 (vector-slots 8 93078 6052)
 (floats 8 32 570)
 (intervals 56 197 5)
 (buffers 992 11))